package com.company.paywindowpayroll.view.company;

import com.company.paywindowpayroll.entity.Company;
import com.company.paywindowpayroll.view.main.MainView;
import com.vaadin.flow.router.Route;
import io.jmix.core.DataManager;
import io.jmix.core.NoResultException;
import io.jmix.flowui.view.*;
import org.springframework.beans.factory.annotation.Autowired;

@Route(value = "companies/:id", layout = MainView.class)
@ViewController(id = "Company.detail")
@ViewDescriptor(path = "company-detail-view.xml")
@EditedEntityContainer("companyDc")
public class CompanyDetailView extends StandardDetailView<Company>
{
	@Autowired
	private DataManager dataManager;

	@Subscribe
	public void onInit(final InitEvent event)
	{
		Company company = dataManager.create(Company.class);
		try {
			dataManager.load(Company.class)
					.id(1)
					.one();
		} catch (NoResultException e) {
			//  company does not exist, create one
			company.setId(1);
			company.setCompany("new Company created");
			dataManager.save(company);
		}
	}

}